org.eclipse.incquery.runtime.matchers.psystem.basicdeferred

## Class PatternCallBasedDeferred

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.DeferredPConstraint
    - - org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint
      - - org.eclipse.incquery.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred

- All Implemented Interfaces:
    IQueryReference, PConstraint
  Direct Known Subclasses:
    NegativePatternCall, PatternMatchCounter

      public abstract class PatternCallBasedDeferred
      extends VariableDeferredPConstraint
      implements IQueryReference

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternCallBasedDeferred(PBody pBody, Tuple actualParametersTuple, PQuery pattern)`
    `PatternCallBasedDeferred(PBody pBody, Tuple actualParametersTuple, PQuery pattern, java.util.Set<PVariable> additionalAffectedVariables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSanity()`
    `Tuple` | `getActualParametersTuple()`
    `java.util.Set<PVariable>` | `getDeferringVariables()`
    `PQuery` | `getReferredQuery()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint

      `isReadyAt`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `getDeducedVariables`

- - ### Constructor Detail

    - #### PatternCallBasedDeferred

          public PatternCallBasedDeferred(PBody pBody,
                                          Tuple actualParametersTuple,
                                          PQuery pattern,
                                          java.util.Set<PVariable> additionalAffectedVariables)

    - #### PatternCallBasedDeferred

          public PatternCallBasedDeferred(PBody pBody,
                                          Tuple actualParametersTuple,
                                          PQuery pattern)

  - ### Method Detail

    - #### getDeferringVariables

          public java.util.Set<PVariable> getDeferringVariables()

      Specified by:
        `getDeferringVariables` in class `VariableDeferredPConstraint`

    - #### checkSanity

          public void checkSanity()
                           throws QueryProcessingException

      Specified by:
        `checkSanity` in interface `PConstraint`
      Overrides:
        `checkSanity` in class `BasePConstraint`
      Throws:
        `QueryProcessingException`

    - #### getActualParametersTuple

          public Tuple getActualParametersTuple()

    - #### getReferredQuery

          public PQuery getReferredQuery()

      Specified by:
        `getReferredQuery` in interface `IQueryReference`